AUDIORECORD(1)

NAME
audiorecord - record audio files

SYNOPSIS
audiorecord [-afhV] [-b balance] [-C ctl] [-d device] [-e encoding] [-i info] [-m monvol] [-P precision] [-p input] [-s rate] [-t time] [-v volume] [files]

DESCRIPTION
The audiorecord program copies the audio devices to the named audiofile, or the standard output if no file is named. The output file will contain a Sun/NeXT audio header.

OPTIONS
The following options are available:

-a  Append to the specified file, rather than overwriting.

-b  Set the balance to balance. This value must be between 0 and 63.

-C  Set the audio control device to be ctl. The default is /dev/audioctl0.

-d  Set the audio device to be device. The default is /dev/audio0.

-e  Set encoding to either “alaw”, “ulaw” or “linear”.

-f  Force. Normally when appending to audiofiles using the -a option, the sample rates must match. The -f option will allow a discrepancy to be ignored.

-h  Print a help message.

-i  If the audio device cannot be opened, exit now rather than wait for it.

-m  Set the monitor volume.

-P  Set the precision. This value is the number of bits per sample, and is normally either “8” or “16”, though the values “24” and “32” are also valid.

-p  Set the output port to port. The valid values of port are “speaker”, “headphone” and “line”.

-s  Set the sampling rate. This value is per-second. Typical values are 8000, 44100 and 48000, which are the telephone, CD Audio and DAT Audio default sampling rates.

-q  Be quiet.

-V  Be verbose.

-v  Set the volume (gain) to volume. This value must be between 0 and 255.

BUGS
Many audio device hardware is limited in capabilities. Any attempt to use an audio device beyond it's capabilities will result in an error. This program is not finished and will become much more versatile in it's understanding of the audio device and the desired output.

HISTORY
The audiorecord program was first seen in SunOS 5. The NetBSD audiorecord was first made available in NetBSD 1.4.

AUTHOR
The audiorecord program was written by Matthew R. Green <mrg@eterna.com.au>.

SEE ALSO
audioctl(1), audioplay(1), audioamd(4), aria(4), audio(4), eap(4), ess(4), gus(4), guspnp(4), sb(4), sv(4), wss(4), ym.